Skip to main content
GET
/
v1
/
notes

curl --request GET \
 --url 'https://api.caret.so/v1/notes?limit=10&status=completed' \
 --header 'X-API-Key: <your_api_key>'

{
  "items": [
    {
      "id": "note_123456789",
      "title": "Weekly Team Sync",
      "kind": "online",
      "status": "completed",
      "createdAt": "2024-01-28T10:00:00Z",
      "updatedAt": "2024-01-28T11:30:00Z",
      "visibility": "workspace",
      "tags": [
        {
          "id": "fld_123",
          "name": "Sales",
          "color": "#4A90E2"
        }
      ],
      "participants": [
        {
          "name": "Jane Smith",
          "email": "jane@example.com",
          "profileImageUrl": "https://example.com/avatar.jpg",
          "accountName": "Acme Corp",
          "accountDomain": "acme.com",
          "accountImageUrl": "https://example.com/logo.png"
        }
      ],
      "totalDurationSec": 3600,
      "userWrittenNote": "",
      "enhancedNote": "",
      "summary": "",
      "transcripts": [],
      "calendarEvent": null,
      "inputLanguage": "en",
      "translationLanguage": null,
      "meetingApp": null
    }
  ],
  "pagination": {
    "limit": 10,
    "nextOffset": 10,
    "isLast": false
  }
}

Query Parameters

limit
number
default:"20"
Number of notes to return (1-100)
offset
number
default:"0"
Pagination offset
sortBy
string
default:"createdAt"
Field to sort by. Options: createdAt, updatedAt, title
sortOrder
string
default:"desc"
Sort order. Options: asc, desc
status
string
Filter by note status. Options: idle, recording, transcript-processing, recorded-not-summarized, summarizing, completed
kind
string
Filter by note kind. Options: online, in-person, podcast (currently only online is supported)
Search query for title
createdBy
string
Filter by creator user ID
fromDate
string
Filter notes created after date (ISO 8601 format)
toDate
string
Filter notes created before date (ISO 8601 format)
folderIds
string
Comma-separated folder IDs to filter by
tagIds
string
deprecated
Deprecated: Use folderIds instead. Comma-separated tag IDs
participantEmail
string
Filter by participant email address

Response

items
Note[]
pagination
object

curl --request GET \
 --url 'https://api.caret.so/v1/notes?limit=10&status=completed' \
 --header 'X-API-Key: <your_api_key>'

{
  "items": [
    {
      "id": "note_123456789",
      "title": "Weekly Team Sync",
      "kind": "online",
      "status": "completed",
      "createdAt": "2024-01-28T10:00:00Z",
      "updatedAt": "2024-01-28T11:30:00Z",
      "visibility": "workspace",
      "tags": [
        {
          "id": "fld_123",
          "name": "Sales",
          "color": "#4A90E2"
        }
      ],
      "participants": [
        {
          "name": "Jane Smith",
          "email": "jane@example.com",
          "profileImageUrl": "https://example.com/avatar.jpg",
          "accountName": "Acme Corp",
          "accountDomain": "acme.com",
          "accountImageUrl": "https://example.com/logo.png"
        }
      ],
      "totalDurationSec": 3600,
      "userWrittenNote": "",
      "enhancedNote": "",
      "summary": "",
      "transcripts": [],
      "calendarEvent": null,
      "inputLanguage": "en",
      "translationLanguage": null,
      "meetingApp": null
    }
  ],
  "pagination": {
    "limit": 10,
    "nextOffset": 10,
    "isLast": false
  }
}